#include <stdio.h>
#include <stdlib.h>

#include "lfinput.h"

void advent2021day01(void) {
    size_t sz = 0;
    int *input = get_ints("input/2021/01", &sz);
    size_t trips_sz = sz - 2;
    int trips[trips_sz];
    int p1 = 0, p2 = 0;

    for (size_t i = 2, j = 0; i < sz; ++i, ++j) {
        trips[j] = input[i - 2] + input[i - 1] + input[i];
    }

    for (size_t i = 1; i < sz; ++i) {
        if (input[i - 1] < input[i]) {
            ++p1;
        }
        if (i < trips_sz && trips[i - 1] < trips[i]) {
            ++p2;
        }
    }

    printf("%d\n%d\n", p1, p2);
    free(input);
}
